Package org.apache.sling.jcr.contentloader.hc

# Class BundleContentLoadedCheck

java.lang.Object
org.apache.sling.jcr.contentloader.hc.BundleContentLoadedCheck

All Implemented Interfaces:
  `org.apache.felix.hc.api.HealthCheck`

public class BundleContentLoadedCheck extends Object implements org.apache.felix.hc.api.HealthCheck
Health check component that monitors the bundle content loading progress for all of the deployed bundles.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static @interface`
`BundleContentLoadedCheck.Config`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`HC_LABEL`
`static final String`
`HC_NAME`

### Fields inherited from interface org.apache.felix.hc.api.HealthCheck

`ASYNC_CRON_EXPRESSION, ASYNC_INTERVAL_IN_SEC, KEEP_NON_OK_RESULTS_STICKY_FOR_SEC, MBEAN_NAME, NAME, RESULT_CACHE_TTL_IN_MS, TAGS`

## Constructor Summary

Constructors
Constructor
Description
`BundleContentLoadedCheck()`

## Method Summary

Modifier and Type
Method
Description
`void`
`activate(org.osgi.framework.BundleContext bundleContext, BundleContentLoadedCheck.Config config)`
`org.apache.felix.hc.api.Result`
`execute()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### HC_NAME

public static final String HC_NAME

See Also:
  - Constant Field Values

### HC_LABEL

public static final String HC_LABEL

See Also:
  - Constant Field Values

## Constructor Details

### BundleContentLoadedCheck

public BundleContentLoadedCheck()

## Method Details

### activate

public void activate(org.osgi.framework.BundleContext bundleContext, BundleContentLoadedCheck.Config config)

### execute

public org.apache.felix.hc.api.Result execute()

Specified by:
  `execute` in interface `org.apache.felix.hc.api.HealthCheck`